#mage tower spectre
from eventAPI import getTag, setTag
from APIUtils import showMessage, showPicture

mSpec1 = 0

def fireEvent(e):
    spec = getTag(e, "mSpec1")

    if(spec == 0):
        showPicture(e, "Spectre")
        showMessage(e,
            ["A spectre appears, saying:",
             "\"This is the Old Mage Tower wherein lies one of the ancients. Only your wisdom and knowledge will help you through.\""])
        setTag(e, "mSpec1", 1)
    return 1
